{
    "pages": [
        //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path": "pages/index/index",
            "style": {
                "navigationStyle": "custom",
        		"pullToRefresh": {
                    "support":true,
                    "style": "circle",
                    "color":"#007aff"
                }
            }
        },
        {
            "path": "pages/index/message",
            "style": {
                "navigationBarTitleText": "消息"
            }
        },
        {
            "path": "pages/index/mine",
            "style": {
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/mine/agreement",
            "style": {
                "navigationBarTitleText": "用户协议"
            }
        },
        {
            "path": "pages/mine/policy",
            "style": {
                "navigationBarTitleText": "隐私政策"
            }
        },
        {
            "path": "pages/user/login",
            "style": {
                "navigationBarTitleText": "登录"
            }
        },
        {
            "path": "pages/user/forget",
            "style": {
                "navigationBarTitleText": "忘记密码"
            }
        },
        {
            "path": "pages/user/register",
            "style": {
                "navigationBarTitleText": "快速注册"
            }
        },
        {
            "path": "pages/user/changePwd",
            "style": {
                "navigationBarTitleText": "修改密码"
            }
        },
        {
            "path": "pages/user/changePhone",
            "style": {
                "navigationBarTitleText": "修改手机号"
            }
        },
        {
            "path": "pages/mine/setup",
            "style": {
                "navigationBarTitleText": "设置"
            }
        },
        {
            "path": "pages/mine/deleteUser",
            "style": {
                "navigationBarTitleText": "账号注销"
            }
        },
        {
            "path": "pages/mine/setupMessage",
            "style": {
                "navigationBarTitleText": "个性化推荐"
            }
        },
        {
            "path": "pages/mine/system",
            "style": {
                "navigationBarTitleText": "系统介绍"
            }
        },
        {
            "path": "pages/mine/company",
            "style": {
                "navigationBarTitleText": "公司介绍"
            }
        },
        {
            "path": "pages/mine/about",
            "style": {
                "navigationBarTitleText": "关于我们"
            }
        },
        {
            "path": "pages/mine/upgrade",
            "style": {
                "navigationBarTitleText": "关于我们"
            }
        },
        {
            "path": "pages/mine/message",
            "style": {
                "navigationBarTitleText": "个人消息"
            }
        },
        {
            "path": "pages/device/list",
            "style": {
                "navigationBarTitleText": "设备列表"
            }
        },
        {
            "path": "pages/device/new",
            "style": {
                "navigationBarTitleText": "新设备"
            }
        },
        {
            "path": "pages/device/APF/detail",
            "style": {
                "navigationBarTitleText": "APF 设备名称 + 型号",
				"enablePullDownRefresh": true
            }
        },
        {
            "path": "pages/device/DVR/detail",
            "style": {
                "navigationBarTitleText": "DVR 设备名称 + 型号"
            }
        },
        {
            "path": "pages/device/APF/record",
            "style": {
                "navigationBarTitleText": "操作记录"
            }
        },
        {
            "path": "pages/device/DVR/record",
            "style": {
                "navigationBarTitleText": "操作记录"
            }
        },
        {
            "path": "pages/device/APF/report",
            "style": {
                "navigationBarTitleText": "告警情况"
            }
        },
        {
            "path": "pages/device/DVR/report",
            "style": {
                "navigationBarTitleText": "告警情况"
            }
        },
        {
            "path": "pages/device/APF/about",
            "style": {
                "navigationBarTitleText": "关于"
            }
        },
        {
            "path": "pages/device/DVR/about",
            "style": {
                "navigationBarTitleText": "关于"
            }
        },
        {
            "path": "pages/gateway/list",
            "style": {
                "navigationBarTitleText": "网关列表"
            }
        },
        {
            "path": "pages/gateway/new",
            "style": {
                "navigationBarTitleText": "添加网关"
            }
        },
        {
            "path": "pages/gateway/newDevice",
            "style": {
                "navigationBarTitleText": "通过网关添加设备"
            }
        },
        {
            "path": "pages/message/message",
            "style": {
                "pullToRefresh": {
                    "support":true,
                    "style": "circle",
                    "color":"#007aff"
                },
                "app-plus": {
                    "bounce": "none",
                    //关闭窗口回弹效果
                    "titleNView": {
                        "titleText": "暂态事件",
                        // 窗口的标题
                        "titleAlign": "center",
                        "padding-right": "20rpx",
                        "buttons": [
                            {
                                "text": "一键已读",
                                "fontSize": "28rpx",
                                "select": false,
                                "width": "auto"
                            }
                        ]
                    }
                }
            }
        },
        {
            "path": "pages/message/messageDetail",
            "style": {
                "navigationBarTitleText": "暂态事件详情"
            }
        },
        {
            "path": "pages/device/transfer",
            "style": {
                "navigationBarTitleText": "移交"
            }
        },
        {
            "path": "pages/device/share",
            "style": {
                "navigationBarTitleText": "分享"
            }
        },
        {
            "path": "pages/home/feedback",
            "style": {
                "navigationBarTitleText": "提交反馈"
            }
        },
        {
            "path": "pages/home/selectEngineering",
            "style": {
                "app-plus": {
                    "bounce": "none",
                    //关闭窗口回弹效果
                    "titleNView": {
                        "titleText": "灿能物联",
                        // 窗口的标题
                        "titleAlign": "center",
                        "padding-right": "20rpx",
                        "buttons": [
                            {
                                "text": "创建工程",
                                "fontSize": "28rpx",
                                "select": false,
                                "width": "auto"
                            }
                        ]
                    }
                }
            }
        },
        {
            "path": "pages/message/feedback",
            "style": {
                "navigationBarTitleText": "反馈列表"
            }
        },
        {
            "path": "pages/mine/feedback",
            "style": {
                "navigationBarTitleText": "提交反馈"
            }
        },
        {
            "path": "pages/device/user",
            "style": {
                "navigationBarTitleText": "设备共享"
            }
        },
        {
            "path": "pages/mine/userDetail",
            "style": {
                "navigationBarTitleText": "用户设备"
            }
        },
        {
            "path": "pages/user/basic",
            "style": {
                "navigationBarTitleText": "个人信息"
            }
        },
        {
            "path": "pages/user/head",
            "style": {
                "navigationBarTitleText": "更换头像"
            }
        },
        {
            "path": "pages/user/changeName",
            "style": {
                "navigationBarTitleText": "修改昵称"
            }
        },
        {
            "path": "pages/project/list",
            "style": {
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/project/new",
            "style": {
                "navigationBarTitleText": "新增项目"
            }
        },
        {
            "path": "pages/engineering/new",
            "style": {
                "navigationBarTitleText": "新增工程"
            }
        },
        {
            "path": "pages/engineering/list",
            "style": {
                "navigationBarTitleText": "工程列表",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/engineering/detail",
            "style": {
                "navigationBarTitleText": "工程详情"
            }
        },
        {
            "path": "pages/engineering/setting",
            "style": {
                "navigationBarTitleText": "关注工程配置"
            }
        },
        {
            "path": "pages/mine/serverSetting",
            "style": {
                "navigationBarTitleText": "服务内容配置"
            }
        },
        {
            "path": "pages/user/erweima",
            "style": {
                "navigationBarTitleText": "我的二维码"
            }
        },
        {
            "path": "pages/project/detail",
            "style": {
                "navigationBarTitleText": "项目详情"
            }
        },
        {
            "path": "pages/gateway/detail",
            "style": {
                "navigationBarTitleText": "网关详情"
            }
        },
        {
            "path": "pages/project/transfer",
            "style": {
                "navigationBarTitleText": "项目移交"
            }
        },
        {
            "path": "pages/mine/audit",
            "style": {
                "navigationBarTitleText": "角色升级审核"
            }
        },
        {
            "path": "pages/zhuanzhi/warning",
            "style": {
                "navigationBarTitleText": "报警设备"
            }
        },
        {
            "path": "pages/message/feedbackDetail",
            "style": {
                "navigationBarTitleText": "反馈详情"
            }
        },
        {
            "path": "pages/home/service",
            "style": {
                "navigationBarTitleText": "联系客服"
            }
        },
        {
            "path": "pages/mine/book",
            "style": {
                "navigationBarTitleText": "使用手册"
            }
        },
        {
            "path": "pages/mine/database",
            "style": {
                "navigationBarTitleText": "资料库"
            }
        },
        {
            "path": "pages/mine/result",
            "style": {
                "navigationBarTitleText": "操作成功"
            }
        },
        {
            "path": "pages/device/edit",
            "style": {
                "navigationBarTitleText": "编辑设备"
            }
        }
    ],
    "tabBar": {
        "color": "#979797",
        "selectedColor": "#376cf3",
        "borderStyle": "black",
        "backgroundColor": "#fff",
        "spacing": "5px",
        "iconWidth": "20px",
        "list": [
            {
                "pagePath": "pages/index/index",
                "iconPath": "static/index.png",
                "selectedIconPath": "static/index2.png",
                "text": "首页"
            },
            {
                "pagePath": "pages/index/message",
                "iconPath": "static/notice.png",
                "selectedIconPath": "static/notice2.png",
                "text": "消息"
            },
            {
                "pagePath": "pages/index/mine",
                "iconPath": "static/mine.png",
                "selectedIconPath": "static/mine2.png",
                "text": "个人"
            }
        ]
    },
    "globalStyle": {
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "灿能电力",
        "navigationBarBackgroundColor": "#ffffff",
        "backgroundColor": "#f3f4f5"
        // #ifdef H5
        ,
        "navigationStyle": "custom"
        // #endif
    },
    "uniIdRouter": {},
    "easycom": {
        "autoscan": true,
        "custom": {
            "^rc-(.*)": "@/components/Cn-$1/Cn-$1.vue"
        }
    },
    "condition": {
        //模式配置，仅开发期间生效
        "current": 0,
        //当前激活的模式（list 的索引项）
        "list": []
    }
}
